# Package-level declarations

## Types

IetfLang
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
sealed interface IetfLang

This class has been automatically generated using https://github.com/InsanusMokrassar/MicroUtils/tree/master/language_codes/generator . This generator uses https://datahub.io/core/language-codes/ files (base and tags) and create the whole hierarchy using it.

IetfLangSerializer
Link copied to clipboard
object IetfLangSerializer : KSerializer< IetfLang >

Serializer for IetfLang that serializes language codes as their string representation. The language code is serialized as a simple string (e.g., "en-US", "fr", "de-DE").

## Properties

knownLanguageCodes
Link copied to clipboard
val knownLanguageCodes : List < IetfLang >
knownLanguageCodesMap
Link copied to clipboard
val knownLanguageCodesMap : Map < String , IetfLang >
knownLanguageCodesMapByLowerCasedKeys
Link copied to clipboard
val knownLanguageCodesMapByLowerCasedKeys : Map < String , IetfLang >

## Functions

asIetfLang
Link copied to clipboard
fun String . asIetfLang (): IetfLang
asIetfLangCaseInsensitive
Link copied to clipboard
fun String . asIetfLangCaseInsensitive (): IetfLang
convertToIetfLang
Link copied to clipboard
fun convertToIetfLang (code: String ): IetfLang
convertToIetfLangCaseInsensitive
Link copied to clipboard
fun convertToIetfLangCaseInsensitive (code: String ): IetfLang
IetfLang
Link copied to clipboard
fun IetfLang (code: String ): IetfLang
IetfLangCaseInsensitive
Link copied to clipboard
fun IetfLangCaseInsensitive (code: String ): IetfLang
toIetfLang
Link copied to clipboard
fun Locale . toIetfLang (): IetfLang
toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale